Subject: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2019 09:23:37 +0300

> From: Carlos Pita <[email-masked]>
> Date: Sat, 19 Oct 2019 18:39:31 -0300
> 
> I believe one way or another there is some price to pay here: do we
> prefer for the frame to be created with the right buffer from the very
> beginning, at the expense of ill-placed messages and questions? Or do
> we prefer to show this stuff in the new frame minibuffer, while
> postponing the setting of its initial buffer until all files are
> visited, producing a frequent and unpleasant switching visual artifact
> (which AFAICR has been always the case, has this code changed recently
> in order to address that?) ?

We prefer to avoid both unpleasant effects.  But if there's no way to
solve both, I think we prefer the former, because visiting a file in a
way that causes an echo-area message is relatively rare.